Worker::isShutdown
Worker::shutdown
Worker
PHP Manual

# Worker::isWorking

(PECL pthreads >= 2.0.0)

Worker::isWorking — State Detection

### Description

public boolean Worker::isWorking ( void )

Tell if a Worker is executing Stackables

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of a Worker

`<?php
$my = new Worker();
$my->start();
/* ... */
if ($my->isWorking()) {
/* ... the Worker is busy executing another object */
}
?>`

Worker::isShutdown
Worker::shutdown
Worker
PHP Manual